Open SCAP Library

Public Member Functions | Data Fields
oval_setobject Struct Reference
OVAL » OVALDEF

OVAL set object. More...

`#include <oval_definitions.h>`

## Public Member Functions
struct oval_setobject * | oval_setobject_new (struct oval_definition_model *)
struct oval_setobject * | oval_setobject_clone (struct oval_definition_model *new_model, struct oval_setobject *old_setobject)
void | oval_setobject_free (struct oval_setobject *)
Setters
void | oval_setobject_set_operation (struct oval_setobject *, oval_setobject_operation_t)
void | oval_setobject_add_subset (struct oval_setobject *, struct oval_setobject *)
void | oval_setobject_add_object (struct oval_setobject *, struct oval_object *)
void | oval_setobject_add_filter (struct oval_setobject *, struct oval_filter *)
Getters
oval_setobject_type_t | oval_setobject_get_type (struct oval_setobject *)
| Get OVAL set object type.
oval_setobject_operation_t | oval_setobject_get_operation (struct oval_setobject *)
| Get OVAL set object operation type.
struct oval_setobject_iterator * | oval_setobject_get_subsets (struct oval_setobject *)
| Get OVAL set object subsets. More...
struct oval_object_iterator * | oval_setobject_get_objects (struct oval_setobject *)
| Get OVAL set object referenced objects. More...
struct oval_filter_iterator * | oval_setobject_get_filters (struct oval_setobject *)
| Get OVAL set object filters. More...

## Data Fields
struct oval_definition_model * | model
oval_setobject_type_t | type
oval_setobject_operation_t | operation
void * | extension

## Detailed Description

OVAL set object.

The documentation for this struct was generated from the following files:

- oval_set.c
- oval_definitions.h